package cs315.jross.hwk1;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Toast;

/**
 * A basic starter activity for drawing in Android.
 * 
 * @author Joel
 * @version Fall 2013
 */
public class MainActivity extends Activity
{
	private static final String TAG = "DrawingActivity"; //for logging/debugging
	
	private View drawView; //the view we'll be drawing on (for later reference). Cast the variable to make more specific
	
	/**
	 * Called when the activity is started
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main); //use the activity_main layout
		
		drawView = (View)this.findViewById(R.id.draw_view); //get access to drawView for later
	}

	/**
	 * Auto-generated; provides menu.
	 */
	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	
	//The method that is called when the button is pressed [see the layout xml]
	public void buttonPress(View view) 
	{
		Log.d(TAG, "Button was pressed"); //add a line to the console (debug priority). This is like Sysout.
		
		//toasts are short popup messages; useful for testing!
		Toast toast = Toast.makeText(getApplicationContext(), "Button Pressed!", Toast.LENGTH_SHORT);
		toast.show();
		
		//drawView.invalidate(); //tells our simple view to redraw itself. This is like "repaint()"
	}
	
}
